Loading...
Searching...
No Matches
PointDelete.h File Reference

Methods for deleting points based on group membership. More...

`#include "PointDataGrid.h"`
`#include "PointGroup.h"`
`#include "IndexIterator.h"`
`#include "IndexFilter.h"`
`#include <openvdb/tools/Prune.h>`
`#include <openvdb/tree/LeafManager.h>`
`#include <memory>`
`#include <string>`
`#include <vector>`
`#include "impl/PointDeleteImpl.h"`

Go to the source code of this file.

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::points

## Functions

template<typename PointDataTreeT>
void | deleteFromGroups (PointDataTreeT &pointTree, const std::vector< std::string > &groups, bool invert=false, bool drop=true)
| Delete points that are members of specific groups.
template<typename PointDataTreeT>
void | deleteFromGroup (PointDataTreeT &pointTree, const std::string &group, bool invert=false, bool drop=true)
| Delete points that are members of a group.

## Detailed Description

Methods for deleting points based on group membership.

Author
  Nick Avramoussis, Francisco Gochez, Dan Bailey